lv.lumii.tda.raapi

## Interface RAAPI_Synchronizer

-     public interface RAAPI_Synchronizer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendString(java.lang.String s)`
    `void` | `syncBulk(java.nio.ByteBuffer actions, java.lang.String delimitedStrings)`
    `void` | `syncBulk(double[] actions, java.lang.String[] strings)`
    `void` | `syncBulk(int nActions, double[] actions, int nStrings, java.lang.String[] strings)`
    `void` | `syncCreateAdvancedAssociation(java.lang.String name, boolean nAry, boolean associationClass, long rAssoc)`
    `void` | `syncCreateAssociation(long rSourceClass, long rTargetClass, java.lang.String sourceRoleName, java.lang.String targetRoleName, boolean isComposition, long rAssoc, long rInvAssoc)`
    `void` | `syncCreateAttribute(long rClass, java.lang.String name, long rPrimitiveType, long rAttr)`
    `void` | `syncCreateClass(java.lang.String name, long rClass)`
    `void` | `syncCreateDirectedAssociation(long rSourceClass, long rTargetClass, java.lang.String targetRoleName, boolean isComposition, long rAssoc)`
    `void` | `syncCreateGeneralization(long rSub, long rSuper)`
    `void` | `syncCreateLink(long rSourceObject, long rTargetObject, long rAssociationEnd)`
    `void` | `syncCreateObject(long rClass, long rObject)`
    `void` | `syncCreateOrderedLink(long rSourceObject, long rTargetObject, long rAssociationEnd, long targetPosition)`
    `void` | `syncDeleteAssociation(long rAssoc)`
    `void` | `syncDeleteAttribute(long rAttr)`
    `void` | `syncDeleteAttributeValue(long rObject, long rAttr)`
    `void` | `syncDeleteClass(long rClass)`
    `void` | `syncDeleteGeneralization(long rSub, long rSuper)`
    `void` | `syncDeleteLink(long rSourceObject, long rTargetObject, long rAssociationEnd)`
    `void` | `syncDeleteObject(long rObject)`
    `void` | `syncExcludeObjectFromClass(long rObject, long rClass)`
    `void` | `syncIncludeObjectInClass(long rObject, long rClass)`
    `void` | `syncMaxReference(long r)`
    `void` | `syncMoveObject(long rObject, long rClass)`
    `void` | `syncRawAction(double[] arr, java.lang.String str)`
    `void` | `syncSetAttributeValue(long rObject, long rAttr, java.lang.String value)`

- - ### Method Detail

    - #### syncCreateClass

          void syncCreateClass(java.lang.String name,
                               long rClass)

    - #### syncDeleteClass

          void syncDeleteClass(long rClass)

    - #### syncCreateGeneralization

          void syncCreateGeneralization(long rSub,
                                        long rSuper)

    - #### syncDeleteGeneralization

          void syncDeleteGeneralization(long rSub,
                                        long rSuper)

    - #### syncCreateObject

          void syncCreateObject(long rClass,
                                long rObject)

    - #### syncDeleteObject

          void syncDeleteObject(long rObject)

    - #### syncIncludeObjectInClass

          void syncIncludeObjectInClass(long rObject,
                                        long rClass)

    - #### syncExcludeObjectFromClass

          void syncExcludeObjectFromClass(long rObject,
                                          long rClass)

    - #### syncMoveObject

          void syncMoveObject(long rObject,
                              long rClass)

    - #### syncCreateAttribute

          void syncCreateAttribute(long rClass,
                                   java.lang.String name,
                                   long rPrimitiveType,
                                   long rAttr)

    - #### syncDeleteAttribute

          void syncDeleteAttribute(long rAttr)

    - #### syncSetAttributeValue

          void syncSetAttributeValue(long rObject,
                                     long rAttr,
                                     java.lang.String value)

    - #### syncDeleteAttributeValue

          void syncDeleteAttributeValue(long rObject,
                                        long rAttr)

    - #### syncCreateAssociation

          void syncCreateAssociation(long rSourceClass,
                                     long rTargetClass,
                                     java.lang.String sourceRoleName,
                                     java.lang.String targetRoleName,
                                     boolean isComposition,
                                     long rAssoc,
                                     long rInvAssoc)

    - #### syncCreateDirectedAssociation

          void syncCreateDirectedAssociation(long rSourceClass,
                                             long rTargetClass,
                                             java.lang.String targetRoleName,
                                             boolean isComposition,
                                             long rAssoc)

    - #### syncCreateAdvancedAssociation

          void syncCreateAdvancedAssociation(java.lang.String name,
                                             boolean nAry,
                                             boolean associationClass,
                                             long rAssoc)

    - #### syncDeleteAssociation

          void syncDeleteAssociation(long rAssoc)

    - #### syncCreateLink

          void syncCreateLink(long rSourceObject,
                              long rTargetObject,
                              long rAssociationEnd)

    - #### syncCreateOrderedLink

          void syncCreateOrderedLink(long rSourceObject,
                                     long rTargetObject,
                                     long rAssociationEnd,
                                     long targetPosition)

    - #### syncDeleteLink

          void syncDeleteLink(long rSourceObject,
                              long rTargetObject,
                              long rAssociationEnd)

    - #### syncRawAction

          void syncRawAction(double[] arr,
                             java.lang.String str)

    - #### syncBulk

          void syncBulk(double[] actions,
                        java.lang.String[] strings)

    - #### syncBulk

          void syncBulk(int nActions,
                        double[] actions,
                        int nStrings,
                        java.lang.String[] strings)

    - #### syncBulk

          void syncBulk(java.nio.ByteBuffer actions,
                        java.lang.String delimitedStrings)

    - #### syncMaxReference

          void syncMaxReference(long r)

    - #### sendString

          void sendString(java.lang.String s)